/// <reference types="react" />
import type { HostComponent } from 'react-native';
import { NativeProps } from './MapView';
import { Camera } from './MapView.types';
import { LatLng } from './sharedTypes';
export type MapViewNativeComponentType = HostComponent<NativeProps>;
interface NativeCommands {
    setCamera: (viewRef: NonNullable<React.RefObject<MapViewNativeComponentType>['current']>, camera: Partial<Camera>) => void;
    setMapBoundaries: (viewRef: NonNullable<React.RefObject<MapViewNativeComponentType>['current']>, northEast: LatLng, southWest: LatLng) => void;
    setIndoorActiveLevelIndex: (viewRef: NonNullable<React.RefObject<MapViewNativeComponentType>['current']>, activeLevelIndex: number) => void;
}
export declare const Commands: NativeCommands;
export {};
